import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { UserEntity } from './user/entities/user.entity';
import { BannerEntity } from './banner/entities/banner.entity';
import { UserModule } from './user/user.module';
import { TypeOrmModule } from '@nestjs/typeorm';
import { BannerModule } from './banner/banner.module';
import { OssModule } from './oss/oss.module';
import { SysUserModule } from './sys-user/sys-user.module';

const ENTITIES = [UserEntity, BannerEntity];

const MODULE = [UserModule, BannerModule, OssModule];

@Module({
  imports: [
    TypeOrmModule.forRoot({
      type: 'mysql',
      host: 'localhost',
      port: 3306,
      username: 'root',
      password: '123456',
      database: 'travel-app',
      entities: ENTITIES, // 这里添加实体类
      synchronize: true,
    }),
    ...MODULE,
    SysUserModule,
  ],
  controllers: [AppController],
  providers: [AppService],
})
export class AppModule {}
